Runtime

## org.eclipse.gmf.runtime.diagram.core.services.view
Class CreateChildViewOperation

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.core.services.view.CreateViewOperation
          org.eclipse.gmf.runtime.diagram.core.services.view.CreateChildViewOperation

All Implemented Interfaces:
  IOperation

Direct Known Subclasses:
  CreateEdgeViewOperation, CreateNodeViewOperation, CreateViewForKindOperation

public abstract class CreateChildViewOperation
extends CreateViewOperation

Constructor Summary
`protected` `CreateChildViewOperation(IAdaptable semanticAdapter, View containerView, java.lang.String semanticHint, int index, boolean persisted, PreferencesHint preferencesHint)` Method CreateChildViewOperation.

Method Summary
`View` `getContainerView()` Method getParent.
`int` `getIndex()` Method getIndex.
`boolean` `getPersisted()` Return the persisted paramter value.

Methods inherited from class org.eclipse.gmf.runtime.diagram.core.services.view.CreateViewOperation
`getCachingKey, getPreferencesHint, getSemanticAdapter, getSemanticHint, getViewKind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IOperation
`execute`

Constructor Detail

### CreateChildViewOperation

    protected CreateChildViewOperation(IAdaptable semanticAdapter,
                                       View containerView,
                                       java.lang.String semanticHint,
                                       int index,
                                       boolean persisted,
                                       PreferencesHint preferencesHint)

  Method CreateChildViewOperation.

Parameters:
  `semanticAdapter` -
  `containerView` -
  `semanticHint` -
  `index` -
  `persisted` -
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

Method Detail

### getContainerView

    public final View getContainerView()

  Method getParent.

  Returns:
    IContainerView

### getIndex

    public final int getIndex()

  Method getIndex.

  Returns:
    int

### getPersisted

    public final boolean getPersisted()

  Return the persisted paramter value.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.